package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学校介绍关联对象 mall_school_introduce
 *
 * @author lsm
 * @date 2023-10-18
 */

public class MallSchoolIntroduce extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学校介绍关联表id */
    private Long schoolIntroduceId;

    /** 学校介绍类别id */
    private Long introduceClassId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 学校名称 */
    private String schoolName;

    /** 学校环境分类 */
    private String introduceName;

    /** 介绍内容 */
    @Excel(name = "介绍内容")
    private String content;

    /** 显示状态(0-正常,1-隐藏) */
    @Excel(name = "显示状态(0-正常,1-隐藏)")
    private Integer displayStatus;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getIntroduceName() {
        return introduceName;
    }

    public void setIntroduceName(String introduceName) {
        this.introduceName = introduceName;
    }

    public Long getSchoolIntroduceId() {
        return schoolIntroduceId;
    }

    public void setSchoolIntroduceId(Long schoolIntroduceId) {
        this.schoolIntroduceId = schoolIntroduceId;
    }

    public Long getIntroduceClassId() {
        return introduceClassId;
    }

    public void setIntroduceClassId(Long introduceClassId) {
        this.introduceClassId = introduceClassId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getDisplayStatus() {
        return displayStatus;
    }

    public void setDisplayStatus(Integer displayStatus) {
        this.displayStatus = displayStatus;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getCreateAt() {
        return createAt;
    }

    public void setCreateAt(String createAt) {
        this.createAt = createAt;
    }

    public String getUpdateAt() {
        return updateAt;
    }

    public void setUpdateAt(String updateAt) {
        this.updateAt = updateAt;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return "MallSchoolIntroduce{" +
                "schoolIntroduceId=" + schoolIntroduceId +
                ", introduceClassId=" + introduceClassId +
                ", schoolId=" + schoolId +
                ", content='" + content + '\'' +
                ", displayStatus=" + displayStatus +
                ", sort=" + sort +
                ", createAt='" + createAt + '\'' +
                ", updateAt='" + updateAt + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
